Page MenuHomePhabricator

Move cassandra logging to logging pipeline
Closed, ResolvedPublic

Description

Cassandra clusters (restbase, sessionstore, aqs, maps) use net.logstash.logback.appender.LogstashSocketAppender for their remote logging, the non-kafka logstash inputs are deprecated and will be turned down EOQ4.

This task is to track onboarding of Cassandra logging to logging pipeline, namely either /dev/log or (more likely, for java) udp syslog on localhost.

Related Objects

Event Timeline

MoritzMuehlenhoff triaged this task as Medium priority.Jan 15 2020, 7:58 AM

Change 569570 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] cassandra: use wmflib::secret for binary files

https://gerrit.wikimedia.org/r/569570

Change 569564 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] wip: cassandra logs to logging pipeline

https://gerrit.wikimedia.org/r/569564

fgiunchedi moved this task from Backlog to Doing on the User-fgiunchedi board.Feb 4 2020, 9:18 AM

Change 569570 abandoned by Filippo Giunchedi:
cassandra: use wmflib::secret for binary files

Reason:
As per John, not viable ATM

https://gerrit.wikimedia.org/r/569570

Change 569570 restored by Filippo Giunchedi:
cassandra: use wmflib::secret for binary files

https://gerrit.wikimedia.org/r/569570

Change 569570 merged by Filippo Giunchedi:
[operations/puppet@production] cassandra: use wmflib::secret for binary files

https://gerrit.wikimedia.org/r/569570

Change 569564 merged by Filippo Giunchedi:
[operations/puppet@production] cassandra: restbase-dev logs to logging pipeline

https://gerrit.wikimedia.org/r/569564

Change 570862 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] cassandra: default to sending logs to logging pipeline

https://gerrit.wikimedia.org/r/570862

Change 570862 merged by Filippo Giunchedi:
[operations/puppet@production] cassandra: default to sending logs to logging pipeline

https://gerrit.wikimedia.org/r/570862

Mentioned in SAL (#wikimedia-operations) [2020-02-10T13:28:27Z] <godog> roll restart cassandra on aqs to apply logging changes - T242585

Mentioned in SAL (#wikimedia-operations) [2020-02-10T15:01:23Z] <godog> roll restart cassandra on maps* to apply logging changes - T242585

Mentioned in SAL (#wikimedia-operations) [2020-02-10T15:01:36Z] <godog> roll restart cassandra on maps* to apply logging changes - T242585

Mentioned in SAL (#wikimedia-operations) [2020-02-10T15:04:23Z] <godog> roll restart cassandra on maps* to apply logging changes - T242585

Mentioned in SAL (#wikimedia-operations) [2020-02-10T15:22:09Z] <godog> roll restart cassandra on restbase* to apply logging changes - T242585

Change 571302 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] cassandra: move single_instance to logging pipeline

https://gerrit.wikimedia.org/r/571302

Change 571302 merged by Filippo Giunchedi:
[operations/puppet@production] cassandra: move single_instance to logging pipeline

https://gerrit.wikimedia.org/r/571302

Mentioned in SAL (#wikimedia-operations) [2020-02-10T15:33:40Z] <godog> roll restart cassandra on session* to apply logging changes - T242585

fgiunchedi closed this task as Resolved.Feb 11 2020, 9:21 AM
fgiunchedi claimed this task.

This is complete! All cassandra production clusters now log through the logging pipeline.